Lavalite package that provides media_transcription management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `media_transcription/media_transcription`.

    "media_transcription/media_transcription": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    MediaTranscription\MediaTranscription\Providers\MediaTranscriptionServiceProvider::class,

And also add it to alias

    'MediaTranscription'  => MediaTranscription\MediaTranscription\Facades\MediaTranscription::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=MediaTranscription\\MediaTranscription\\Seeders\\MediaTranscriptionTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="MediaTranscription\MediaTranscription\Providers\MediaTranscriptionServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="MediaTranscription\MediaTranscription\Providers\MediaTranscriptionServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="MediaTranscription\MediaTranscription\Providers\MediaTranscriptionServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/media_transcription/{modulename}

**User**

    http://path-to-route-folder/user/media_transcription/{modulename}

**Public**

    http://path-to-route-folder/media_transcriptions


### API endpoints

**List**

    http://path-to-route-folder/api/user/media_transcription/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/media_transcription/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/media_transcription/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/media_transcription/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/media_transcription/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/media_transcription/{modulename}/{slug}
    METHOD: GET